jphase

## Class SparseContMomentTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - jphase.SparseContMomentTest

- All Implemented Interfaces:
    junit.framework.Test

      public class SparseContMomentTest
      extends junit.framework.TestCase

  Set of Tests for the moment methods of the SparseContPhaseVar class
  Author:
    Juan F. Pérez

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SparseContMomentTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)`
    `void` | `testCV()` Test for the method jphase.SparseContPhaseVar.CV
    `void` | `testExpectedValue()` Test for the method jphase.SparseContPhaseVar.expectedValue
    `void` | `testMoment2()` Test for the method jphase.SparseContPhaseVar.moment
    `void` | `testMoment3()` Test for the method jphase.SparseContPhaseVar.moment
    `void` | `testMoment4()` Test for the method jphase.SparseContPhaseVar.moment
    `void` | `testVariance()` Test for the method jphase.SparseContPhaseVar.variance

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, getName, run, run, runBare, setName, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SparseContMomentTest

          public SparseContMomentTest()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

      Parameters:
        `args` - Not used

    - #### testExpectedValue

          public void testExpectedValue()

      Test for the method jphase.SparseContPhaseVar.expectedValue

    - #### testVariance

          public void testVariance()

      Test for the method jphase.SparseContPhaseVar.variance

    - #### testCV

          public void testCV()

      Test for the method jphase.SparseContPhaseVar.CV

    - #### testMoment2

          public void testMoment2()

      Test for the method jphase.SparseContPhaseVar.moment

    - #### testMoment3

          public void testMoment3()

      Test for the method jphase.SparseContPhaseVar.moment

    - #### testMoment4

          public void testMoment4()

      Test for the method jphase.SparseContPhaseVar.moment